# Mycellium Changelog

##v1.0.1

Mycellium

1. Redis Publisher
2. Wake Cell

##v1.0.2

Mycellium Socket Server

1. Listen and respond to socket requests
2. Rate limit

##v1.0.3

Mycellium Cell, Mycellium Event, Mycellium Account

1. Event sourcing
2. Account entity
3. Actions and Reactions mechanics

##v1.0.4

Make Admin, Mycellium Monitor

1. ```makeAdmin()``` script
2. Mycellium Monitor React app
3. Cells ping(s)
4. ```_```: private action
5. ```&```: Account action

##v1.0.5

```@``` reactions, Backup

1. Reactions on other Cells on actions
2. Backup all Cells

##v1.0.6

Module exports

1. Export ```Cells```, ```tasks``` and ```utils```

##v1.0.7

Reactions, PM2 Ecosystem

1. Bug fixes
2. PM2 Ecosystem

##v1.0.8

1. Bug fixes

##v1.0.9

1. Bug fixes

##v1.0.10

1. Bug fixes

##v1.0.11

1. Bug fixes

##v1.0.12

1. Fix ```makeAdmin()``` to accept arguments

##v1.0.13

1. Fix ```makeAdmin()```

##v1.0.14

1. Fix ```setActions()``` to ignore ```node_modules``` and only use Capitalized Dirs

##v1.0.15

1. Fix ```subscribeToMycellium()``` and ```subscribeToCells()```

##v1.0.16

1. Fix ```Cell/index.js``` db check in config

##v1.0.17

1. Fix ```@/Mycellium/Service/config``` and ```@/Mycellium/Service/wake```

##v1.0.18

1. Fix ```socketResponse``` to check beforehand if ```socket``` exists

##v1.0.19

1. Fix ```mongoose.connect``` to use ```{ useNewUrlParser: true }```

##v1.0.20

1. Bug fixes

##v1.0.21

1. Fix ```subscribeToCells()```

##v1.0.22

1. Fix ```subscribeToMycellium()```

##v1.0.23

1. First shell scripts ```install_mongo``` and ```install_redis```
2. New test structure + ```npm test```
3. New feature ```Cell.subscribeTo```

##v1.0.24
##v1.0.25
##v1.0.26
##v1.0.27
##v1.0.28

1. Shell scripts fix

##v1.0.29

1. Bug fixes
2. Fix Monitor event time bug

##v1.0.30
##v1.0.31
##v1.0.32
##v1.0.33
##v1.0.34

1. Bug fixes

##v1.0.35

1. Monitor queue
2. Removed old tests

##v1.0.36
##v1.0.41

1. Monitor job timeout

##v1.0.42

1. Optional request id

##v1.0.43
##v1.0.44
##v1.0.45

1. Monitor job timeout

##v1.0.46
##v1.0.54

1. Redis sockets store

##v1.0.55

1. Cell reacts only to same instance
