require('colors')
const encryptUser = require('../../../utils/encryptUser')

module.exports = async function (payload) {
	const {
		body = {}
	} = payload

	const {
		email,
		password
	} = body
	const {secret} = this.mycellium

	if (email && password) {
		console.log(email, password, secret, this.env, this.mycellium.cells.Account.mycologies[this.env].db)

		let exists = await this.Model.findOne({email})

		if (exists) {
			throw `Account with email ${email} already exists`
		} else if (secret) {
			try {
				let account = await this.Model.create(encryptUser({email, password}, secret))
				account = account.toObject()
				delete account.__v
				delete account.salt
				return account
			} catch (error) {
				throw error
			}
		} else {
			throw 'No secret to hash'
		}
	} else {
		throw 'Wrong credentials'
	}
}