// const path = require('path')
const backup = require('mongodb-backup')

module.exports = function (message) {
	if (this.Model) {
		const {db} = this.config.mycologies[this.env]
		const tar = `${this.name}.${new Date().getMonth()}.tar`;

		backup({
			uri: db,
			root: this.config.selfPath,
			tar,
			callback: (err) => {
				if (err) {
					console.error(err)
				} else {
					console.log(`${tar} backup finished`)
				}
			}
		})
	}
}