require('colors')

const subscribeToCells = require('../../../../_methods/subscribeToCells')

module.exports = function (message) {
	const {body} = message

	if (!this.mycellium.started) {
		this.mycellium = {
			started: true,
			...this.mycellium,
			...body
		}

		subscribeToCells.call(this)

		const instance = process.env.NODE_APP_INSTANCE
		const name = `${this.name}${typeof instance !== 'undefined' ? `_${instance}` : ''}`

		console.log(`${name} is ready`.green)
	}
}