const redis = require('redis')
const client = redis.createClient()

const emit = function (socketId, payload) {
	// const {str} = message
	const io = require('socket.io-emitter')({host: 'localhost', port: 6379})

	io.to(socketId).emit('message', payload)

	const instance = process.env.NODE_APP_INSTANCE
	const name = `${this.name}${typeof instance !== 'undefined' ? `_${instance}` : ''}`

	console.log(`${`${name} [>>] ${payload.length} events`.bgMagenta.black} 👁`)
}

module.exports = function (message) {
	return new Promise((resolve, reject) => {
		const {str} = message

		client.get('adminSocket', (err, socketId) => {
			if (err) throw(err)
			else if (socketId) {
				client.get('adminSocket', (err, socketId) => {
					if (err) throw(err)
					else if (socketId) {
						client.get('events', async (err, events) => {
							if (events) {
								const _events = JSON.parse(events)
								console.log(_events.length);
								if (_events.length >= 20) {
									await client.set('events', JSON.stringify([]))
									await emit.call(this, socketId, _events)
								} else {
									await client.set('events', JSON.stringify([..._events, message]))
								}
							} else {
								await client.set('events', JSON.stringify([]))
							}

							resolve()
						})
					}
				})
			}
		})
	})
}