import React from 'react'
import groupBy from 'lodash/groupBy'
import find from 'lodash/find'

export default (events) => {
	let data = []

	if (events.length > 0) {
		const byId = groupBy(events, 'id')/*.filter(e => e.indexOf('@reactions') === -1)*/

		console.log(byId);

		Object.keys(byId).map((id) => {
			let item = {
				request: {},
				response: {},
				reactions: []
			}

			if (byId[`${id}@reactions`]) {
				item.reactions = byId[`${id}@reactions`]
			}

			byId[id].forEach(r => {
				if (r.str.indexOf('.ERROR') > -1)
					item.response = r
				else if (r.str.indexOf('.SUCCESS') > -1)
					item.response = r
				else item.request = r
			})

			return data.push(item)
		})

		/*

		ids.map((id) => {
			let item = {
				request: {},
				response: {},
				reactions: []
			}

			if (events[`${id}@reactions`]) {
				item.reactions = events[`${id}@reactions`]
			}

			events[id].forEach(r => {
				if (r.str.indexOf('.ERROR') > -1)
					item.response = r
				else if (r.str.indexOf('.SUCCESS') > -1)
					item.response = r
				else item.request = r
			})

			return data.push(item)
		})*/
	}

	return data
}