import React, { Component } from 'react'
import {
	BrowserRouter as Router
} from 'react-router-dom'
import { hot } from 'react-hot-loader'

import './Root.scss'
import Monitor from '../Monitor/Monitor'
import store from '../../mobx/store'

class Root extends Component {
	render () {
		return (
			<Router>
				<Monitor
					store={store}
				/>
			</Router>
		)
	}
}

export default hot(module)(Root)