import { EVENT_IN, RESET } from '../actions/admin'

export default (state = {
	/*'cd2cc4c3-089b-4ade-8fdf-14e58242b78a': [
		{
			str: 'SET.Account.Service.login',
			id: 'cd2cc4c3-089b-4ade-8fdf-14e58242b78a',
			socketId: '1R8le9Oa82sdiygJAAAe',
			ip: '::1',
			time: 1529739594994
		},
		{
			str: 'SET.Account.Service.login.ERROR',
			body: 'Error logging in',
			id: 'cd2cc4c3-089b-4ade-8fdf-14e58242b78a',
			socketId: '1R8le9Oa82sdiygJAAAe',
			ip: '::1',
			time: 1529739594995
		}
	]*/
}, action) => {
	switch (action.type) {

		case EVENT_IN:
			return {
				...state,
				[action.payload.id]: [
					...state[action.payload.id] || [],
					action.payload
				]
			}

		case RESET:
			return {
			}

		default:
			return state
	}
};