module.exports = async function (message) {
	const {body = {}, id} = message

	try {
		let match = await require('../../../Model/_create').call(this, body)

		this.publish({
			...message,
			id: `${id}@reactions`,
			str: 'SET.Match.Model._create.SUCCESS',
			body: match
		})
	} catch (error) {
		this.publish({
			...message,
			id: `${id}@reactions`,
			str: 'SET.Match.Model._create.ERROR',
			body: error
		})
	}
}