const expect = require('chai').expect
const io = require('socket.io-client')
const request = require('../../../utils/request')

let user = {
	email: 'user1@mycellium.io',
	password: '123456'
}

describe('Account', async () => {
	const mycelliumURL = 'http://localhost:1123'
	const mycelliumClient = io.connect(mycelliumURL)

	it('should register account', async () => {
		const res = await request(mycelliumClient, {
			str: 'SET.Account.Service.register',
			body: user
		})

		expect(res.body._id)
		expect(res.body.email).to.equal(user.email)
	})

	/*it('should login into account', async () => {
		const response = await request(mycelliumClient, {
			str: 'SET.Account.Service.login',
			body: user
		})

		user.token = response.body.token
	})

	it('should login with token', async () => {
		const res = await request(mycelliumClient, {
			str: 'SET.Account.Service.login',
			token: user.token
		})

		expect(res.body._id)
		expect(res.body.token)
		expect(res.body.email).to.be.equal(user.email)
	})*/

	it('timeout', async () => {
		expect(1)
	})
})