const expect = require('chai').expect
const io = require('socket.io-client')
const request = require('../../../utils/request')

describe('Mycellium', async () => {
	const mycelliumURL = 'http://localhost:1123'
	const mycelliumClient = io.connect(mycelliumURL)

	it('should succeed', async () => {
		const response = await
			request(mycelliumClient, {
				str: 'GET.Mycellium.Service.ping'
			})

		expect(response.body.note === 'ping')
	})
})