const config = require('../TestApp/config')

function importTest(name, path) {
	describe(name, function () {
		require(path);
	});
}

describe('Cluster tests', () => {
	before(async function () {
		await require('../../../tasks/dropAllDatabases')(config)

		require('../TestApp/Mycellium/Mycellium')
		require('../TestApp/Account/Account')
		// require('../TestApp/Offer/Offer')
		// require('../TestApp/Match/Match')
		require('../TestApp/Monitor/Monitor')
	})

	/*it('should succeed', (done) => {
		setTimeout(() => {
			done()
		}, 1000)
	})*/

	importTest('Cluster', './Cluster.spec');
	// importTest('Account', './Account.spec');
	// importTest('Monitor', './Monitor.spec');

	// importTest('PingServices', './PingServices.spec');
	// importTest('PrivateAction', './PrivateAction.spec');
	// importTest('AccountAction', './AccountAction.spec');
	// importTest('Effects', './Effects.spec');
	// importTest('Reactions', './Reactions.spec');
	// importTest('RateLimit', './RateLimit.spec');
})