const createEvent = function (message) {
	try {
		const {id, str, body, socketId, ip, time, account} = message

		const method = str.split('.')[0]
		const service = str.split('.')[1]
		const section = str.split('.')[2]
		const action = str.split('.')[3]
		const event = str.split('.')[4] || undefined

		this.Model.create({
			id,
			accountId: account ? account._id : undefined,
			socketId,
			ip,
			method,
			service,
			section,
			action,
			event,
			time,
			body: JSON.stringify(body)
		})
	} catch (error) {
		throw error
	}
}

module.exports = createEvent