require('colors')
const mongoose = require('mongoose')
mongoose.set('debug', true)

const setModel = function () {
	const {db} = this.config.mycologies[this.env]
	const conn = mongoose.createConnection(db)

	this.Model = conn.model(this.name, this.schema)

	const instance = process.env.NODE_APP_INSTANCE
	const name = `${this.name}${typeof instance !== 'undefined' ? `_${instance}` : ''}`

	console.log(`√ ${name} | Model set`)
}

module.exports = setModel