const path = require('path')

module.exports = {
	apps: [
		{
			name: 'Mycellium API',
			script: path.resolve(__dirname, 'Mycellium.js')
		},
		{
			name: 'Monitor',
			script: path.resolve(__dirname, 'Monitor.js')
		},
		{
			name: 'Account',
			script: path.resolve(__dirname, 'Account.js')
		},
		{
			name: 'Event',
			script: path.resolve(__dirname, 'Event.js')
		}
	],

	/**
	 * Deployment section
	 * http://pm2.keymetrics.io/docs/usage/deployment/
	 */
	/*deploy : {
	  production : {
		user : 'node',
		host : '212.83.163.1',
		ref  : 'origin/master',
		repo : 'git@github.com:repo.git',
		path : '/var/www/production',
		'post-deploy' : 'npm install && pm2 reload ecosystem.config.js --env production'
	  },
	  dev : {
		user : 'node',
		host : '212.83.163.1',
		ref  : 'origin/master',
		repo : 'git@github.com:repo.git',
		path : '/var/www/development',
		'post-deploy' : 'npm install && pm2 reload ecosystem.config.js --env dev',
		env  : {
		  NODE_ENV: 'dev'
		}
	  }
	}*/
}
