const es = require('elasticsearch')

const clearElasticsearch = (host) => {
	return new Promise((resolve, reject) => {
		const client = es.Client({
			host
		})

		client.indices.delete({
			index: '_all'
		}, function(err, res) {
			if (err) {
				reject(err.message);
			} else {
				resolve({host, cleared: true})
			}
		});
	})
}

module.exports = clearElasticsearch