const makeAdmin = async (config, {email, password, secret}) => {
	const mongoose = require('mongoose')
	mongoose.set('debug', true)


	const encryptUser = require('../utils/encryptUser')
	const accountSchema = require('../components/Account/AccountSchema')
	const env = process.env.NODE_ENV || 'local'
	const {db} = config.mycologies[env]

	const conn = mongoose.createConnection(db)

	const Account = conn.model('Account', accountSchema)

	await Account.create(encryptUser({email, password}, secret))

	process.exit()
}

module.exports = makeAdmin