const Schema = require('mongoose').Schema

const EventSchema = new Schema({
	id: {
		type: String, required: true
	},
	socketId: {
		type: String, required: true
	},
	accountId: {
		type: String
	},
	ip: {
		type: String, required: true
	},
	method: {
		type: String, required: true
	},
	service: {
		type: String, required: true
	},
	section: {
		type: String, required: true
	},
	action: {
		type: String, required: true
	},
	time: {
		type: Date, default: Date.now()
	},
	event: {
		type: String
	},
	body: {
		type: String
	},
	instance: {
		type: String
	},
	response: {
		type: String
	}
})

module.exports = EventSchema