import React, { Component } from 'react'

export default class Table extends Component {
	render () {
		const {columns, mapBody} = this.props

		return (
			<div className="table-container">
				<table>
					<thead>
					<tr>
						{columns.map(({key, title, width}) => {
							return (
								<th key={key} style={{width}}>{title}</th>
							)
						})}
					</tr>
					</thead>
					<tbody>
					{mapBody()}
					</tbody>
				</table>
			</div>
		)
	}
}