// React repos
import React from 'react'
import config from './config'
import {render} from 'react-dom'
import './styles/main.scss'

// Redux
// import { Provider } from 'react-redux'
// import store from './redux/store'

// Root component
import Root from './containers/Root/Root.jsx'

import io from 'socket.io-client'

global.mycelliumClient = io.connect(config.mycelliumURL)
global.monitorClient = io.connect(config.monitorURL)

// Render the application to a div
render((
    <Root />
), document.getElementById('main'));
