const uuidv4 = require('uuid/v4')

const wake = function () {
	if (this.publish) this.publish({
		id: uuidv4(),
		str: `INFORM.${this.name}.Service.wake`,
		body: this.config,
		instance: process.env.NODE_APP_INSTANCE || -1
	})

	const instance = process.env.NODE_APP_INSTANCE
	const name = `${this.name}${typeof instance !== 'undefined' ? `_${instance}` : ''}`

	console.log(`√ ${name} | Service woke`)
}

module.exports = wake