const mongoose = require('mongoose')

const dropDb = (db) => {
	return new Promise(resolve => {
		mongoose.createConnection(db, (err, connection) => {
			if (err) throw err
			else {
				connection.db.dropDatabase();
				console.log(`√ Dropped | ${db}`)
				resolve({db, dropped: true})
			}
		})
	})
}

module.exports = dropDb